# SCP-1509

### Properties

The following table details each property available in the `SCP1509Data` configuration.

| Property                      | Type     | Description                                                                                                                                        |
| ----------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `CanResurrect`                | `bool`   | If `true`, the holder of SCP-1509 will be able to resurrect dead players. If `false`, this ability is disabled.                                    |
| `ReviveCooldown`              | `double` | The time in seconds that the user must wait before they can use the resurrection ability again.                                                    |
| `RevivedPlayerMaxahp`         | `float`  | The maximum amount of Artificial Health Points (AHP) a player receives immediately upon being revived.                                             |
| `RevivedPlayeraoeBonusahp`    | `float`  | The amount of bonus AHP granted to other living players within a certain radius of the resurrected player.                                         |
| `HumeshieldMax`               | `float`  | The maximum capacity of the Hume Shield that the holder of SCP-1509 can have.                                                                      |
| `HumeshieldRegeneration`      | `float`  | The amount of Hume Shield that regenerates per tick (or as defined by `HumeshieldRegenRate`).                                                      |
| `HumeshieldRegenRate`         | `float`  | The interval, in seconds, at which Hume Shield regeneration occurs. For example, a value of `1.0` would mean regeneration happens once per second. |
| `HumeshieldDecayRate`         | `float`  | The amount of Hume Shield that is lost per second when it is decaying (e.g., after unequipping).                                                   |
| `HumeshieldOnDamagePauseTime` | `float`  | The duration, in seconds, that Hume Shield regeneration is paused after the holder takes damage.                                                   |
| `UnequipHumeshieldDecayDelay` | `float`  | The delay, in seconds, before the Hume Shield begins to decay after the player unequips SCP-1509.                                                  |

### Example Configuration (YAML)

Below is an example of how you might configure these properties in a typical YAML file that would be loaded into this data class.

```yaml
CustomData:
  can_resurrect: true
  revive_cooldown: 180.0
  revived_player_maxahp: 100.0
  revived_playeraoe_bonusahp: 25.0
  humeshield_max: 250.0
  humeshield_regeneration: 10.0
  humeshield_regen_rate: 0.5
  humeshield_decay_rate: 15.0
  humeshield_on_damage_pause_time: 5.0
  unequip_humeshield_decay_delay: 2.0
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/custom-data/scp-item/scp-1509.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
